﻿using Hotline.Settings;
using Hotline.Share.Requests;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Order
{
	public class OrderBiOrgDataListVo
	{
		public string OrgName { get; set; }

		public string OrgId { get; set; }

		public int HandlerExtendedNum { get; set; }

		public int CounterHandlerExtendedNum { get; set; }

		public int NoHandlerExtendedNum { get; set; }

		public int CounterNoHandlerExtendedNum { get; set; }

		public int Subtotal => HandlerExtendedNum + CounterHandlerExtendedNum + NoHandlerExtendedNum + CounterNoHandlerExtendedNum;
	}


	public record OrderBiOrgDataListDto: PagedKeywordRequest
	{
		/// <summary>
		/// 开始时间
		/// </summary>
		public DateTime? CreationTimeStart { get; set; }

		/// <summary>
		/// 结束时间
		/// </summary>
		public DateTime? CreationTimeEnd { get; set; }

		/// <summary>
		/// 排序字段 
		/// </summary>
		public string SortField { get; set; }

		/// <summary>
		/// 排序规则  0 升序  1 降序
		/// </summary>
		public int SortRule { get; set; }
	}
}
